> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quickblox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Records by IDs

> Retrieve records with particular records IDs.

#### Recipes

<AccordionGroup>
  <Accordion title="List records by IDs with API key">
    <Steps>
      <Step title="1. Use 'Authorization' header to pass API key">
        ```curl {2} theme={null}
        curl -X GET \
        -H "Authorization: ApiKey 28irlNAGasWDSupO9Vw0BBMZfuHrAUYKpmroS9yBORI" \
        https://api.quickblox.com/data/ScoreTable/5d866b53a28f9a5ad51cb562,5d867291a0eb473ed96099c4.json
        ```
      </Step>

      <Step title="2. As a result, the API returns the records with the specified IDs.">
        ```json theme={null}
        {
          "class_name": "ScoreTable",
          "items": [
            {
              "_id": "5d866b53a28f9a5ad51cb562",
              "_parent_id": null,
              "completed_levels": [
                1,
                2,
                3,
                4
              ],
              "created_at": 1569090387,
              "date": "2019-09-21T21:21:00Z",
              "expert_mode": false,
              "game_mode_name": "beta testing",
              "progress": 0.23,
              "score_value": 1000,
              "updated_at": 1569178320,
              "user_avatar": null,
              "user_id": 96753878,
              "user_location": [
                11.13,
                45.52
              ],
              "permissions": {
                "read": {
                  "access": "open"
                },
                "update": {
                  "access": "owner"
                },
                "delete": {
                  "access": "owner"
                }
              }
            },
            {
              "_id": "5d867291a0eb473ed96099c4",
              "_parent_id": null,
              "completed_levels": [
                1,
                2,
                3
              ],
              "created_at": 1569092241,
              "date": "2019-09-21T21:25:00Z",
              "expert_mode": false,
              "game_mode_name": "beta testing",
              "progress": 0.3,
              "score_value": 3021,
              "updated_at": 1569178320,
              "user_avatar": null,
              "user_id": 96753878,
              "user_location": null,
              "permissions": {
                "read": {
                  "access": "open"
                },
                "update": {
                  "access": "owner"
                },
                "delete": {
                  "access": "owner"
                }
              }
            }
          ]
        }
        ```
      </Step>
    </Steps>
  </Accordion>
</AccordionGroup>

#### Path Parameters

<ParamField path="class_name" type="string" required>
  Custom object class name.
</ParamField>

<ParamField path="custom_object_record_id" type="string" required>
  ID of the custom object record. Generated automatically by the server after record creation.
</ParamField>

#### Headers

<ParamField header="QB-Token" type="string" required> A user or application session token. See [Authentication](/reference/authentication) page to learn more about session tokens. Must be used either QB-Token or Authorization. </ParamField>

<ParamField header="Authorization" type="string" default="ApiKey {your_api_key}">
  API key from Dashboard. Expected format: `ApiKey {your_api_key}`. Must be used
  either QB-Token or Authorization.
</ParamField>

<ParamField header="On-Behalf-Of" type="string">
  User ID. The user ID of the user on whose behalf the request is being made.
</ParamField>

#### Responses

<AccordionGroup>
  <Accordion title="200">
    A successful response

    <ResponseField name="class_name" type="string" />

    <ResponseField name="items" type="array of objects" />

    <Expandable title="properties">
      <ResponseField name="_id" type="string" />

      <ResponseField name="_parent_id" type="string" />

      <ResponseField name="created_at" type="integer" />

      <ResponseField name="updated_at" type="integer" />

      <ResponseField name="user_id" type="integer" />

      <ResponseField name="permissions" type="object">
        <Expandable title="properties">
          <ResponseField name="read" type="object">
            <Expandable title="properties">
              <ResponseField name="access" type="string" />
            </Expandable>
          </ResponseField>

          <ResponseField name="update" type="object">
            <Expandable title="properties">
              <ResponseField name="access" type="string" />
            </Expandable>
          </ResponseField>

          <ResponseField name="delete" type="object">
            <Expandable title="properties">
              <ResponseField name="access" type="string" />
            </Expandable>
          </ResponseField>
        </Expandable>
      </ResponseField>
    </Expandable>
  </Accordion>

  <Accordion title="400">
    An error response
  </Accordion>

  <Accordion title="404">
    An error response

    <ResponseField name="errors" type="array of strings" />
  </Accordion>
</AccordionGroup>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET \
  -H "QB-Token: d9c91a69e552145f6fe24dbb40b50ac575012bba" \
  https://api.quickblox.com/data/ScoreTable/5d866b53a28f9a5ad51cb562,5d867291a0eb473ed96099c4.json
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "class_name": "ScoreTable",
    "items": [
      {
        "_id": "5d866b53a28f9a5ad51cb562",
        "_parent_id": null,
        "completed_levels": [
          1,
          2,
          3,
          4
        ],
        "created_at": 1569090387,
        "date": "2019-09-21T21:21:00Z",
        "expert_mode": false,
        "game_mode_name": "beta testing",
        "progress": 0.23,
        "score_value": 1000,
        "updated_at": 1569178320,
        "user_avatar": null,
        "user_id": 96753878,
        "user_location": [
          11.13,
          45.52
        ],
        "permissions": {
          "read": {
            "access": "open"
          },
          "update": {
            "access": "owner"
          },
          "delete": {
            "access": "owner"
          }
        }
      },
      {
        "_id": "5d867291a0eb473ed96099c4",
        "_parent_id": null,
        "completed_levels": [
          1,
          2,
          3
        ],
        "created_at": 1569092241,
        "date": "2019-09-21T21:25:00Z",
        "expert_mode": false,
        "game_mode_name": "beta testing",
        "progress": 0.3,
        "score_value": 3021,
        "updated_at": 1569178320,
        "user_avatar": null,
        "user_id": 96753878,
        "user_location": null,
        "permissions": {
          "read": {
            "access": "open"
          },
          "update": {
            "access": "owner"
          },
          "delete": {
            "access": "owner"
          }
        }
      }
    ]
  }
  ```

  ```json 400 theme={null}
  {}
  ```

  ```json 404 theme={null}
  {
    "errors": [
      "The resource wasn't found"
    ]
  }
  ```
</ResponseExample>
